Subject: Re: Enhancement Request: "locale" git option

From: Torsten Bögershausen <[email-masked]>
Date: Fri, 05 Dec 2014 16:45:15 +0100

On 12/04/2014 09:55 PM, Jeff King wrote:
> On Thu, Dec 04, 2014 at 06:21:40PM +0100, Ævar Arnfjörð Bjarmason wrote:
> 
>>> That is one of the many reasons why I proposed to have a dictionary of
>>> the main technical terms for each language before we even localise git
>>> in that language. In an ideal word, we would provide a simple solution
>>> for looking these terms up both ways. I don't think we're going to have
>>> localised man pages any time soon, are we?
>>
>> I think that's a great idea, and one that's only blocked on someone
>> (hint hint) sending patches for it.
>>
>> It would be neat-o to have something to make translating the docs
>> easier, i.e. PO files for sections of the man pages. There's tools to
>> help with that which we could use.
>>
>> But there's no reason for us not to have translated glossaries in the meantime.
> 
> By the way, there has been fairly significant volunteer effort put into
> translating Pro Git (e.g., <http://git-scm.com/book/de/v1>). I have no
> idea if the terms they use are similar to the terms we use in the
> localized messages. It might make sense to:
> 
>   1. Coordinate with those translators to make sure that the glossary
>      terms are consistent.
> 
>   2. Figure out how to harness those translators for manpage work. Why
>      did Pro Git get so much volunteer translation done, and the
>      manpages didn't? Did they advertise to the right people? Have an
>      interface that made it easier for non-technical people to get
>      involved?
> 
> -Peff

(Thanks for the pointer, excellent book)

I do not know who was first, and who came later, but 
<http://git-scm.com/book/de/v1/Git-Grundlagen-%C3%84nderungen-am-Repository-nachverfolgen>

uses "versioniert" as "tracked"

LANG=de_DE.UTF-8 git status
gives:
nichts zum Commit vorgemerkt, aber es gibt unbeobachtete Dateien (benutzen Sie "git add" zum Beobachten)

Does it make sense to replace "beobachten" with "versionieren" ?